local _, ns = ...
local B, C, L, DB = unpack(ns)

C.themes["Blizzard_ChallengesUI"] = function()
	ChallengesFrameInset:Hide()
	for i = 1, 2 do
		select(i, ChallengesFrame:GetRegions()):Hide()
	end

	local angryStyle
	local function UpdateIcons(self)
		for i = 1, #self.maps do
			local bu = self.DungeonIcons[i]
			if bu and not bu.styled then
				bu:GetRegions():SetAlpha(0)
				bu.Icon:SetTexCoord(unpack(DB.TexCoord))
				B.CreateBD(bu, 0)

				bu.styled = true
			end
			if i == 1 then
				self.WeeklyInfo.Child.SeasonBest:ClearAllPoints()
				self.WeeklyInfo.Child.SeasonBest:SetPoint("TOPLEFT", self.DungeonIcons[i], "TOPLEFT", 5, 20)
			end
		end

		if IsAddOnLoaded("AngryKeystones") and not angryStyle then
			local scheduel, party = select(5, self:GetChildren())

			scheduel:GetRegions():SetAlpha(0)
			select(3, scheduel:GetRegions()):SetAlpha(0)
			B.CreateBD(scheduel, .3)
			if scheduel.Entries then
				for i = 1, 3 do
					B.AffixesSetup(scheduel.Entries[i])
				end
			end

			party:GetRegions():SetAlpha(0)
			select(3, party:GetRegions()):SetAlpha(0)
			B.CreateBD(party, .3)

			angryStyle = true
		end
	end
	hooksecurefunc("ChallengesFrame_Update", UpdateIcons)

	hooksecurefunc(ChallengesFrame.WeeklyInfo, "SetUp", function(self)
		local affixes = C_MythicPlus.GetCurrentAffixes()
		if affixes then
			B.AffixesSetup(self.Child)
		end
	end)

	local keystone = ChallengesKeystoneFrame
	B.SetBD(keystone)
	B.ReskinClose(keystone.CloseButton)
	B.Reskin(keystone.StartButton)

	hooksecurefunc(keystone, "Reset", function(self)
		self:GetRegions():SetAlpha(0)
		self.InstructionBackground:SetAlpha(0)
	end)

	hooksecurefunc(keystone, "OnKeystoneSlotted", B.AffixesSetup)

	-- New season
	local noticeFrame = ChallengesFrame.SeasonChangeNoticeFrame
	B.Reskin(noticeFrame.Leave)
	noticeFrame.NewSeason:SetTextColor(1, .8, 0)
	noticeFrame.SeasonDescription:SetTextColor(1, 1, 1)
	noticeFrame.SeasonDescription2:SetTextColor(1, 1, 1)
	noticeFrame.SeasonDescription3:SetTextColor(1, .8, 0)

	local affix = ChallengesFrame.SeasonChangeNoticeFrame.Affix
	B.StripTextures(affix)
	B.ReskinIcon(affix.Portrait)
	--affix.Portrait:SetTexture(2446016) -- for testing
end